/*
** code_generator.h
** 
** Made by (sebastien thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Thu Mar 18 16:24:32 1999 sebastien thebert
** Last update Tue Apr  4 18:08:03 2000 Sebastien Thebert
*/

#ifndef   __CODE_GENERATOR_H__
#define   __CODE_GENERATOR_H__

#include "code_gen_fileselector.h"
#include "code_gen_colorselector.h"
#include "code_gen_fontselector.h"

#include "code_gen_buttons.h"
#include "code_gen_label.h"
#include "code_gen_entry.h"
#include "code_gen_combo.h"
#include "code_gen_text.h"
#include "code_gen_drawingarea.h"
#include "code_gen_pixmap.h"
#include "code_gen_frame.h"
#include "code_gen_notebook.h"
#include "code_gen_table.h"
#include "code_gen_optionmenu.h"
#include "code_gen_progressbar.h"

GtkWidget	*get_container(GtkWidget *widget);
void		get_container_last_line(char **str, GtkWidget *widget);
char		*get_container_name(GtkWidget *widget);

GtkWidget	*create_edit_page(char *name_win);
void		freeze_edit_text(char *name_win);
void		write_window_declaration(GtkWidget *window);
void		write_window_sensitive_and_show(GtkWidget *window);
void		write_widget_declaration(GtkWidget *widget, char *fct_line);
void		write_widget_set_size(GtkWidget *widget);
void		write_widget_show(GtkWidget *widget);
void		write_widget_put(GtkWidget *widget);
void		write_widget_sensitive_show_and_put(GtkWidget *widget);

void	create_widget_code(GtkWidget *widget);
void	refresh_widget_code(GtkWidget *widget);
void	refresh_widget_code_from_properties(GtkWidget *widget);
void	delete_widget_code(GtkWidget *widget);

void	refresh_window_code(GtkWidget *window);

void	create_window_file_code(GtkWidget *window);
void	delete_window_file_code(GtkWidget *window);

#endif /* __CODE_GENERATOR_H__ */



