/*
** create_widget.h
** 
** Made by (sebastien thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Mon May 31 01:15:28 1999 sebastien thebert
** Last update Tue Apr  4 17:07:21 2000 Sebastien Thebert
*/

#ifndef   __CREATE_WIDGET_H__
#define   __CREATE_WIDGET_H__

void		set_widget_coordinates(GtkWidget *widget,
				       gint x, gint y,
				       gint width, gint height);

GtkWidget	*get_win_parent(GtkWidget *widget);



GtkWidget	*create_option_menu(GtkWidget *fixed, gint x, gint y,
				    gint width, gint height, GList *list);

GtkWidget	*create_progress_bar(GtkWidget *fixed, gint x, gint y,
				     gint width, gint height,
				     GtkProgressBarOrientation orientation,
				     GtkProgressBarStyle style, gint show_text,
				     gfloat percentage);

GtkWidget	*create_statusbar(GtkWidget *fixed, gint x, gint y,
				  gint width, gint height);

GtkWidget	*create_toolbar(GtkWidget *fixed, gint x, gint y, gint width,
				gint height, gint orientation, gint style);

GtkWidget	*create_clist(GtkWidget *fixed, gint x, gint y, gint width,
			      gint height, gint columns, gchar *titles[],
			      GtkSelectionMode mode, GtkShadowType shadow_type);

#endif /* __CREATE_WIDGET_H__ */

