/*
** enums.h
** 
** Made by (Maxime VERNIER)
** Login   <vernie_m@epita.fr>
** 
** Started on  Wed Jun  9 23:32:45 1999 Maxime VERNIER
** Last update Thu Jun 17 16:42:46 1999 maxime vernier
*/

#ifndef   __ENUMS_H__
#define   __ENUMS_H__

GList *GtkJustificationList();
GList *GtkOrientationList();
GList *gtk_position_types();
GList *GtkReliefStyleList();
GList *GtkSelectionModeList();
GList *GtkShadowTypeList();
GList *colorsel_policies();

GtkOrientation get_orientation(gchar *text);
GtkReliefStyle get_relief_style(gchar *text);
GtkShadowType get_shadow_type(gchar *text);

gchar *GtkJustificationText(GtkJustification Justification);
gchar *GtkSelectionModeText(GtkSelectionMode selection_mode);
gchar *GtkShadowTypeText(GtkShadowType shadow_type);
gchar *GtkUpdateTypeText(GtkUpdateType update_type);
gchar *get_text_orientation(GtkOrientation orientation);
gchar *get_text_relief_style(GtkReliefStyle relief_style);
gchar *get_window_type(GtkWidget *window);
gchar *get_window_position(GtkWidget *window);

#endif /* __ENUMS_H__ */
