/*
** epingle_window.c for EPingle
** 
** Made by maxime vernier
** Login   <vernie_m@epita.fr>
** 
** Started on  Mon Feb 28 11:08:30 2000 maxime vernier
** Last update Mon Apr  3 22:27:05 2000 Maxime Vernier
*/

#include "main.h"

GList	*epingle_window_children(GtkWindow	*window)
{
  GList	*list;
  GList	*children;
  GList	*container_children;

  children = NULL;
  list = gtk_container_children(GTK_CONTAINER(window));
  while (list && !GTK_IS_FIXED(list->data))
    list = list->next;
  if (GTK_IS_FIXED(list->data))
    {
      list = gtk_container_children(GTK_CONTAINER(list->data));
      while (list)
	{
	  if (GTK_IS_EVENT_BOX(list->data))
	    {
	      container_children = gtk_container_children(GTK_CONTAINER(list->data));
	      list->data = container_children->data;
	    }
	  children = g_list_append(children, list->data);
	  list = list->next;
	}
    }
  return (children);
}

gchar	*epingle_window_get_title(GtkWindow	*window)
{
  return (window->title);
}

