/*
** int_to_str.c
** 
** Made by (Sebastien Thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Tue Apr  4 17:11:01 2000 Sebastien Thebert
** Last update Tue Apr  4 17:19:30 2000 Sebastien Thebert
*/
#include "main.h"

/*
** int_to_str
*/
char	*int_to_str(int n)
{
  int	i;
  int	c;
  int	j;
  int	signe;
  char	*s;
  
  s = xmalloc(sizeof (char) * LENGTH);
  i = 0;
  signe = n;
  if (signe < 0)
    n = -n;
  do
    {
      s[i++] = (n % 10) + '0';
    }
  while ((n /= 10) > 0);  
  if (signe < 0)
    s[i++] = '-';
  s[i] = '\0';
  for(i = 0, j = strlen(s) - 1; i < j; i++, j--)
    {
      c = s[i];
      s[i] = s[j];
      s[j] = c;
    }
  return (s);
}
