#include "main.h" 

static void cb_change_label(GtkWidget *sender, GtkWidget *widget)
{
  if (GTK_IS_ENTRY(sender))
    {
      gchar		*text;
      
      text = gtk_entry_get_text(GTK_ENTRY(sender));
      gtk_label_set(GTK_LABEL(widget), text);
      refresh_widget_code_from_properties(widget);
    }
}

void		GtkLabel_properties(GtkWidget *widget)
{
  GtkWidget	*entry;
  gchar		*label;
  GtkWidget	*table;
  
  g_return_if_fail(GTK_IS_LABEL(widget));
  table = gtk_object_get_data(GTK_OBJECT(epingle->win_properties),
			      "properties"); 
  AddPropertyLabel(table, NB_WIDGET_PROP + 1, "Label", "Label of the label!");
  entry = AddEntryProperty(table, NB_WIDGET_PROP + 1);
  gtk_label_get(GTK_LABEL(widget), &label);
  gtk_entry_set_text(GTK_ENTRY(entry), label); 
  gtk_signal_connect(GTK_OBJECT(entry), "changed", 
		     GTK_SIGNAL_FUNC(cb_change_label), widget); 
}
