/*
** main.c
** 
** Made by (sebastien thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Sat Feb 13 17:05:30 1999 sebastien thebert
** Last update Tue Apr  4 17:13:40 2000 Sebastien Thebert
*/
#define MAIN
#include "main.h"

/*
** Create Epingle's directory
*/
void	create_epingle_directory()
{
  char	*home;
  char	*epingle_directory;
  
  epingle_directory = xmalloc(sizeof (char) * FN_LENGTH);
  home = getenv("HOME");
  strcpy(epingle_directory, home);
  strcat(epingle_directory, "/.epingle/");
  if (mkdir(epingle_directory, S_IRWXU) == 0)
    printf("%s directory created !\n", epingle_directory);
}

/*
** epingle_init
*/
void	epingle_init()
{
  epingle = xmalloc(sizeof (struct epingle_info));
  color = xmalloc(sizeof (struct epingle_color));
  epingle->widget_moving = 0;
  epingle->widget_resizing = 0;
  epingle->widget_clicked = NULL;
  epingle->window_list = NULL;
  epingle->project_path = NULL;
  epingle->win_properties = NULL;
  epingle->colormap = gdk_colormap_get_system();
  epingle->project_name = xmalloc(sizeof (char) * LENGTH);
  strcpy(epingle->project_name, "project");
  load_default_colors_editor();
  load_default_compilation_options();
  create_epingle_directory();
  init_completion_list();
  init_widget_list(); 
}

/*
**********
** MAIN **
**********
*/
int	main(int argc, char **argv)
{
  gtk_init(&argc, &argv);
  epingle_init();  
  create_main_window();
  create_edit_window();
  hierarchy_new();
  create_main_file();
  gtk_main();
  return (0);
}


/*
  BUGS:
  
  deplace/resize notebook !
  
  compilation
  
*/









