/*
** name_generation.h
** 
** Made by (sebastien thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Mon Mar 15 12:26:27 1999 sebastien thebert
 ** Last update Thu Jan 27 22:26:39 2000 Sebastien Thebert
*/

#ifndef   __NAME_GENERATION_H__
#define   __NAME_GENERATION_H__

void name_generation(GtkWidget *widget, int type);

typedef struct	s_name_widget
{
  char		widget;
  char		*name;
}		t_name_widget;

#ifdef	NAME_WIDGET
t_name_widget	name_widget_array[] = { { WINDOW, "Window" },
					{ FILE_SELECTOR, "FileSelector" },
					{ COLOR_SELECTION_DIALOG, "ColorSelector" },
					{ FONT_SELECTION_DIALOG, "FontSelector" },
					{ DIALOG, "Dialog" },
					{ BUTTON, "Button" },
					{ TOGGLE_BUTTON, "ToggleButton" },
					{ CHECK_BUTTON, "CheckButton" },
					{ RADIO_BUTTON, "RadioButton" },
					{ LABEL, "Label" },
					{ ENTRY, "Entry" },
					{ SPIN_BUTTON, "SpinButton" },
					{ COMBO, "ComboBox" },
					{ TEXT, "Text" },
					{ DRAWING_AREA, "DrawingArea" },
					{ PIXMAP, "Pixmap" },
					{ FRAME, "Frame" },
					{ NOTEBOOK, "Notebook" },
					{ TABLE, "Table" },
					{ MENU, "Menu" },
					{ OPTION_MENU, "OptionMenu" },
					{ PROGRESS_BAR, "ProgressBar" },
					{ STATUSBAR, "StatusBar" },
					{ TOOLBAR, "Toolbar" },
					{ CLIST, "CList" } };
#else
extern t_name_widget	name_widget_array[];
#endif

#endif /* __NAME_GENERATION_H__ */




