/*
** notebook_events.c
** 
** Made by (Sebastien Thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Thu Mar 23 00:06:17 2000 Sebastien Thebert
** Last update Wed Apr  5 01:44:51 2000 Sebastien Thebert
*/
#include "main.h"

/*
** set_fixed_notebookpage_events
*/
void	set_fixed_notebookpage_events(GtkWidget *fixed)
{
  gtk_widget_set_events(fixed, GDK_BUTTON_PRESS_MASK | GDK_BUTTON_MOTION_MASK
			| GDK_POINTER_MOTION_MASK
			| GDK_POINTER_MOTION_HINT_MASK);
  /*  gtk_signal_connect(GTK_OBJECT(fixed), "button_press_event",*/
  /*  		     GTK_SIGNAL_FUNC(action_on_notebook), NULL);*/
  gtk_signal_connect(GTK_OBJECT(fixed), "motion_notify_event",
		     GTK_SIGNAL_FUNC(motion_on_window), NULL);
}

/*
** set_eventbox_notebook_events
*/
void	set_eventbox_notebook_events(GtkWidget *eventbox)
{
  gtk_widget_set_events(eventbox, GDK_BUTTON_PRESS_MASK |
			GDK_BUTTON_MOTION_MASK | GDK_POINTER_MOTION_MASK |
			GDK_POINTER_MOTION_HINT_MASK | GDK_ENTER_NOTIFY
			| GDK_LEAVE_NOTIFY);
  gtk_signal_connect(GTK_OBJECT(eventbox), "button_press_event",
  		     GTK_SIGNAL_FUNC(action_on_notebook), NULL);
  gtk_signal_connect(GTK_OBJECT(eventbox), "motion_notify_event",
    		     GTK_SIGNAL_FUNC(motion_on_window), NULL);
  gtk_signal_connect(GTK_OBJECT(eventbox), "enter_notify_event",
  		     GTK_SIGNAL_FUNC(enter_eventbox), NULL);
  gtk_signal_connect(GTK_OBJECT(eventbox), "leave_notify_event",
		     GTK_SIGNAL_FUNC(leave_eventbox), NULL);  
}





