/*
** properties.h
** 
** Made by (Maxime VERNIER)
** Login   <vernie_m@epita.fr>
** 
** Started on  Tue Jan 26 14:10:21 1999 Maxime VERNIER
** Last update Fri Jan 21 02:01:17 2000 Sebastien Thebert
*/

#ifndef   __PROPERTIES_H__
#define   __PROPERTIES_H__

#include "main.h" 

#define NB_COL		2
#define NB_WIDGET_PROP	9
#define NB_WIN_PROP	NB_WIDGET_PROP+1

#define FILENAME	111
#define COLORSEL_POLICY	130
#define WINDOW_TYPE	150
#define WINDOW_POSITION 151
#define POSITION_TYPE	160


void cb_set_justification(GtkWidget *sender, GtkWidget * widget );

GtkWidget *add_property(gint type, gint row);
GtkWidget *AddPropertyLabel(GtkWidget *table, gint row, 
			    gchar *label, gchar *tip);
GtkWidget *AddEntryProperty(GtkWidget *table, gint row);
GtkWidget *AddComboProperty(GtkWidget *table, gint row, GList *list);
GtkWidget *AddSpinProperty(GtkWidget *table, gint row,
			   gfloat value,
			   gfloat lower,
			   gfloat upper,
			   gfloat step_increment,
			   gfloat page_increment,
			   gfloat page_size);
GtkWidget *AddToggleProperty(GtkWidget *table, gint row, 
			     gboolean state, gchar *label);

void edit_properties_of_widget(GtkWidget *widget);

void change_properties(GtkWidget *widget);
void move_properties(GtkWidget *widget);
void resize_properties(GtkWidget *widget);

GtkWidget *add_entry_property(gint type, gint row);


#endif /* __PROPERTIES_H__ */




