/*
** put_others.c
** 
** Made by (Sebastien Thebert)
** Login   <king@epita.fr>
** 
** Started on  Fri Jan 21 14:38:56 2000 Sebastien Thebert
** Last update Tue Apr  4 01:51:43 2000 Sebastien Thebert
*/
#include "main.h"

/***********************************************************/
void	put_menu(GtkWidget *fixed, GdkEventButton *event)
{
  create_menu(fixed);
}

/*
** Put OptionMenu widget in a container
*/
void		put_option_menu(GtkWidget *fixed, GdkEventButton *event)
{
  GtkWidget	*option_menu;
  
  option_menu = create_option_menu(fixed, event->x, event->y, WIDTH, HEIGHT, NULL);
  name_generation(option_menu, OPTION_MENU);
  hierarchy_add(option_menu);
  edit_properties_of_widget(option_menu);
  create_option_menu_code(gtk_widget_get_name(get_win_parent(option_menu)),
			  option_menu); 
}

/*
** Put ProgressBar widget in a container
*/
void		put_progress_bar(GtkWidget *fixed, GdkEventButton *event)
{
  GtkWidget	*progress_bar;
  
  progress_bar = create_progress_bar(fixed, event->x, event->y, WIDTH, HEIGHT,
				     GTK_PROGRESS_LEFT_TO_RIGHT,
				     GTK_PROGRESS_CONTINUOUS, TRUE, 0.0);
  name_generation(progress_bar, PROGRESS_BAR);
  hierarchy_add(progress_bar);
  edit_properties_of_widget(progress_bar);
  create_progress_bar_code(gtk_widget_get_name(get_win_parent(progress_bar)),
			   progress_bar); 
}

/*
** Put StatusBar widget in a container
*/
void		put_status_bar(GtkWidget *fixed, GdkEventButton *event)
{
  /*  GtkWidget	*status_bar;*/
  
  /*  status_bar = create_status_bar(fixed, event->x, event->y, WIDTH, HEIGHT);*/
}

/*
** Put a Toolbar widget in a container
*/
void		put_toolbar(GtkWidget *fixed, GdkEventButton *event)
{
  GtkWidget	*toolbar;
  
  toolbar = create_toolbar(fixed, event->x, event->y, 100, 50,
			   GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
  name_generation(toolbar, TOOLBAR);
  hierarchy_add(toolbar);
  /*  edit_properties_of_widget(toolbar);*/
  /*  create_tool_bar_code(gtk_widget_get_name(get_win_parent(toolbar)),*/
  /*			   toolbar);*/
}

/*
** Put a CList widget in a container
*/
void		put_clist(GtkWidget *fixed, GdkEventButton *event)
{
  GtkWidget	*clist;
  gchar		*titles[2] = { "Column 1", "Column 2" };
  
  clist = create_clist(fixed, event->x, event->y, 100, 50, 2, titles,
		       GTK_SELECTION_MULTIPLE, GTK_SHADOW_IN);
  name_generation(clist, CLIST);
  hierarchy_add(clist);
  edit_properties_of_widget(clist); 
  /*  create_clist_code(gtk_widget_get_name(get_win_parent(clist)), clist);*/
}

/*
** Put a Tree widget in a container
*/
void		put_tree(GtkWidget *fixed, GdkEventButton *event)
{
  /*  GtkWidget	*tree;*/
  
  /*  tree = create_tree(fixed, event->x, event->y, 100, 50);*/
  /*  name_generation(tree, TREE);*/
  /*  hierarchy_add(tree);*/
  /*  edit_properties_of_widget(clist); */
  /*  create_clist_code(gtk_widget_get_name(get_win_parent(clist)), clist);*/
}








