/*
** put_widget.c
** 
** Made by (sebastien thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Sat Feb 13 16:59:20 1999 sebastien thebert
** Last update Tue Apr  4 23:59:35 2000 Sebastien Thebert
*/

#define	PUT_FUNCTION

#include "main.h"

extern gint		widget_selected;

GtkWidget		*clist_popup = NULL;


/*
** create clist popup
*/
GtkWidget	*create_clist_popup(GtkWidget *clist)
{
  GtkWidget	*menu, *menu_item;
  
  menu = gtk_menu_new();
  menu_item = gtk_menu_item_new_with_label("Add a row");
  gtk_signal_connect(GTK_OBJECT(menu_item), "activate", 
		     GTK_SIGNAL_FUNC(cb_clist_add_a_row), clist); 
  gtk_menu_append(GTK_MENU(menu), menu_item);
  gtk_widget_show(menu_item);
  return (menu);
}

/*
** action on window
*/
void		action_on_window(GtkWidget *fixed, GdkEventButton *event)
{
  t_put_fct	*put_fct;
  int		fct_not_find;
  int		i;

  if (event->button == 1)
    {
      fct_not_find = 1;
      for (i = 0; i < 20; i++)
	{
	  put_fct = &put_fct_array[i];
	  if (put_fct->widget == widget_selected)
	    {
	      put_fct->function(fixed, event);
	      fct_not_find = 0;
	    }
	}
    }
}






