/*
** table_events.c
** 
** Made by (Sebastien Thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Thu Mar 23 00:35:27 2000 Sebastien Thebert
** Last update Thu Mar 23 00:36:01 2000 Sebastien Thebert
*/
#include "main.h"

/***********************************************************/
void	set_table_events(GtkWidget *widget)
{
  gtk_widget_set_events(widget->parent, GDK_BUTTON_PRESS_MASK
			| GDK_BUTTON_RELEASE_MASK
			| GDK_ENTER_NOTIFY
			| GDK_LEAVE_NOTIFY);
  gtk_signal_connect(GTK_OBJECT(widget->parent), "button_press_event",
		     GTK_SIGNAL_FUNC(action_on_widget), NULL);
  gtk_signal_connect(GTK_OBJECT(widget->parent), "button_release_event",
		     GTK_SIGNAL_FUNC(button_release), NULL);
  gtk_signal_connect(GTK_OBJECT(widget->parent), "enter_notify_event",
		     GTK_SIGNAL_FUNC(enter_widget), NULL);
  gtk_signal_connect(GTK_OBJECT(widget->parent), "leave_notify_event",
		     GTK_SIGNAL_FUNC(leave_widget), NULL);
  
}

/***********************************************************/
void	set_widget_table_events(GtkWidget *widget)
{
  gtk_widget_set_events(widget, GDK_BUTTON_PRESS_MASK
			| GDK_BUTTON_RELEASE_MASK
			| GDK_ENTER_NOTIFY
			| GDK_LEAVE_NOTIFY);
  gtk_signal_connect(GTK_OBJECT(widget), "button_press_event",
		     GTK_SIGNAL_FUNC(action_on_widget_table), NULL);
  gtk_signal_connect(GTK_OBJECT(widget), "button_release_event",
		     GTK_SIGNAL_FUNC(button_release), NULL);
  gtk_signal_connect(GTK_OBJECT(widget), "enter_notify_event",
		     GTK_SIGNAL_FUNC(enter_widget), NULL);
  gtk_signal_connect(GTK_OBJECT(widget), "leave_notify_event",
		     GTK_SIGNAL_FUNC(leave_widget), NULL);
}
