/*
** widget_events.h
** 
** Made by (sebastien thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Mon May 31 01:29:11 1999 sebastien thebert
** Last update Thu Mar 23 00:41:41 2000 Sebastien Thebert
*/

#ifndef   __WIDGET_EVENTS_H__
#define   __WIDGET_EVENTS_H__

#define FLEUR		2
#define TOP_SIDE	3
#define BOTTOM_SIDE	4
#define LEFT_SIDE	5
#define RIGHT_SIDE	6
#define TOP_LEFT	7
#define TOP_RIGHT	8
#define BOTTOM_LEFT	9
#define BOTTOM_RIGHT	10

void motion_on_window(GtkWidget *fixed, GdkEventMotion *event);
void enter_eventbox(GtkWidget *widget, GdkEventButton *event);
void leave_eventbox(GtkWidget *widget, GdkEventButton *event);

void action_on_widget(GtkWidget *widget, GdkEventButton *event);
void action_on_frame(GtkWidget *fixed, GdkEventButton *event);
void action_on_notebook(GtkWidget *eventbox, GdkEventButton *event);
void action_on_widget_table(GtkWidget *widget, GdkEventButton *event);

void widget_alignment(GtkWidget *widget);

void button_release(GtkWidget *widget, GdkEventButton *event);

void enter_widget(GtkWidget *widget, GdkEventButton *event);
void leave_widget(GtkWidget *widget, GdkEventButton *event);

void set_window_events(GtkWidget *fixed);
void set_widget_events(GtkWidget *widget);
void set_clist_events(GtkWidget *clist);

#endif /* __WIDGET_EVENTS_H__ */
