/*
** code_gen_gfx.c
** 
** Made by (Sebastien Thebert)
** Login   <king@epita.fr>
** 
** Started on  Wed Feb  2 09:29:12 2000 Sebastien Thebert
** Last update Sat Apr  1 23:40:00 2000 Sebastien Thebert
*/
#include "main.h"

void	create_pixmap_code(char *name_win, GtkWidget *pixmap, char *filename)
{
  char	*line;
  char	*fct_line;
  
  fct_line = xmalloc(sizeof (char) * LENGTH);
  line = xmalloc(sizeof (char) * FN_LENGTH); 
  add_to_widget_list(gtk_widget_get_name(pixmap), PIXMAP);
  freeze_edit_text(name_win);
  write_widget_declaration(pixmap, fct_line);
  
  get_container_last_line(&line, pixmap);
  seek_in_fct_before(fct_line, line);
  color_line(2, gtk_widget_get_name(pixmap), " = gtk_pixmap_new();\n");
  write_widget_show(pixmap);
  write_widget_put(pixmap);
  gtk_text_thaw(GTK_TEXT(epingle->edit_text));
  free(line);
  free(fct_line);
}

