/*
** create_buttons.h
** 
** Made by (Sebastien Thebert)
** Login   <theber_s@epita.fr>
** 
** Started on  Wed Mar 22 18:08:22 2000 Sebastien Thebert
** Last update Tue Apr  4 16:33:04 2000 Sebastien Thebert
*/

#ifndef   __CREATE_BUTTONS_H__
#define   __CREATE_BUTTONS_H__

GtkWidget	*create_button(GtkWidget *fixed, gint x, gint y,
			       gint width, gint height, gchar *label);

GtkWidget	*create_toggle_button(GtkWidget *fixed, gint x, gint y,
				      gint width, gint height,
				      gchar *label, gint state);

GtkWidget	*create_check_button(GtkWidget *fixed, gint x, gint y,
				     gint width, gint height,
				     gchar *label, gint state);

GtkWidget	*create_radio_button(GtkWidget *fixed, gint x, gint y,
				     gint width, gint height, gchar *label,
				     gint state, GtkRadioButton *radio_bt);

GtkWidget	*create_spin_button(GtkWidget *fixed, gint x, gint y,
				    gint width, gint height,
				    GtkAdjustment *adj);

#endif /* __CREATE_BUTTONS_H__ */
