
#ifndef EPINGLE_PIXMAPS_
# define EPINGLE_PIXMAPS_

typedef struct	s_gtk_widgets
{
  gint		type;
  gchar		*xpm_file;
} t_gtk_widgets;

t_gtk_widgets	epingle_gtk_type[] = 
{
  { WINDOW, "./xpm/window.xpm" },
  { BUTTON, "./xpm/bt_classic.xpm" },
  { CLIST, "./xpm/clist.xpm" },
  { TOGGLE_BUTTON, "./xpm/bt_toggle.xpm" },
  { CHECK_BUTTON, "./xpm/bt_check.xpm" },
  { RADIO_BUTTON, "./xpm/bt_radio.xpm" },
  { SPIN_BUTTON, "./xpm/spinbutton.xpm" },
  { COMBO, "./xpm/combo_box.xpm" },
  { DRAWING_AREA, "./xpm/drawing_area.xpm" },
  { FRAME, "./xpm/frame.xpm" },
  { LABEL, "./xpm/label.xpm" },
  { MENU, "./xpm/menu.xpm" },
  { NOTEBOOK, "./xpm/notebook.xpm" },
  { OPTION_MENU, "./xpm/option_menu.xpm" },
  { PIXMAP, "./xpm/pixmap.xpm" },
  { PROGRESS_BAR, "./xpm/progress_bar.xpm" },
  /*{   STATUS_BAR, "./xpm/status_bar.xpm" },*/
  { TABLE, "./xpm/table.xpm" },
  { TOOLBAR, "./xpm/toolbar.xpm" }, 
  { ENTRY, "./xpm/entry.xpm" },
  { DIALOG, "./xpm/dialog.xpm" },
  { FILE_SELECTOR, "./xpm/file_selector.xpm" },
  { COLOR_SELECTION_DIALOG, "./xpm/color_selector.xpm" },
  { FONT_SELECTION_DIALOG, "./xpm/font_selector.xpm" },
  { TEXT, "./xpm/gtk_text.xpm" },
  { NONE, NULL }
};

gchar		*get_pixmap_file_from_type(gint	widget_type);

#endif /* EPINGLE_PIXMAPS_ */
