#include "main.h"

static void	cb_change_label(GtkWidget *entry, GtkWidget *frame)
{
  gchar		*text;
  
  text = gtk_entry_get_text(GTK_ENTRY(entry));
  strcpy(GTK_FRAME(frame)->label,text); 
  gtk_widget_hide(frame);
  gtk_widget_show(frame);
  refresh_widget_code_from_properties(frame);
}

void		GtkFrame_properties(GtkWidget *widget)
{ 
  GtkWidget	*entry;
  gchar		*text;
  GtkWidget	*table;
  
  table = gtk_object_get_data(GTK_OBJECT(epingle->win_properties),
			      "properties"); 
  AddPropertyLabel(table, NB_WIDGET_PROP + 1, "Label", "Label of the frame");
  entry = AddEntryProperty(table, NB_WIDGET_PROP + 1);
  text = GTK_FRAME(widget)->label;
  gtk_entry_set_text(GTK_ENTRY(entry), text);
  gtk_signal_connect(GTK_OBJECT(entry), "changed",
		     GTK_SIGNAL_FUNC(cb_change_label), widget);
}
