/*
** write_properties.h
** 
** Made by (Maxime VERNIER)
** Login   <vernie_m@epita.fr>
** 
** Started on  Tue May  4 14:54:18 1999 Maxime VERNIER
 ** Last update Tue May  4 14:58:13 1999 Maxime VERNIER
*/

#ifndef   __WRITE_PROPERTIES_H__
#define   __WRITE_PROPERTIES_H__

int write_num_property(FILE *fp, int tab, char *label, int value);
int write_str_property(FILE *fp, int tab, char *label, char *str);

void write_common_properties(FILE *fp, GtkWidget *widget, int nb_tab);
void write_specific_window_properties(FILE *fp,GtkWidget *window,gint nb_tab);
void write_window_properties(FILE *fp,GtkWidget *window,gint nb_tab);
void write_tooltips_properties(FILE *fp, GtkWidget *widget, gint nb_tab);
void write_button_properties(FILE *fp, GtkWidget *widget, gint nb_tab);  
void write_entry_properties(FILE *fp, GtkWidget *widget, gint nb_tab);
void write_label_properties(FILE *fp, GtkWidget *widget, gint nb_tab);
void write_frame_properties(FILE *fp, GtkWidget *widget, gint nb_tab);
void write_combo_properties(FILE *fp, GtkWidget *widget, gint nb_tab);
void write_widget_properties(FILE *fp, GtkWidget *widget, int nb_tab);
void write_fileselector_properties(FILE *fp, GtkWidget *widget, int nb_tab);
void write_colorselector_properties(FILE *fp, GtkWidget *widget, int nb_tab);

#endif /* __WRITE_PROPERTIES_H__ */
